<?php
@ini_set('display_errors', '1');
error_reporting(E_ALL);
session_start();

$servername = "localhost"; 
$username = "catalogo_aion";
$password = "aionroot0713";
$dbname = "catalogo_padrao";


$codigo   =$_POST["codigo"];
$nomeproduto   =$_POST["nomeproduto"];
$categoriaprod   =$_POST["categoriaprod"];
$especprod   =$_POST["especprod"];
$foto1   =$_POST["foto1"];
$foto2   =$_POST["foto2"];
$foto3   =$_POST["foto3"];
$foto4   =$_POST["foto4"];
$foto5   =$_POST["foto5"];
$destaques   =$_POST["destaques"];
$preco1 =$_POST["preco1"];
$preco2 =$_POST["preco2"];

$conn = new mysqli($servername, $username, $password, $dbname);
if(isset($_FILES['foto1']))
   {
      date_default_timezone_set("Brazil/East"); //Definindo timezone padrão

      $ext = strtolower(substr($_FILES['foto1']['name'],-4)); //Pegando extensão do arquivo
      $new_name1 = "foto1"."$codigo"."$ext"; //Definindo um novo nome para o arquivo
      $dir = 'imagens/'; //Diretório para uploads

      move_uploaded_file($_FILES['foto1']['tmp_name'], $dir.$new_name1); //Fazer upload do arquivo
   }


if(isset($_FILES['foto2']))
   {
      date_default_timezone_set("Brazil/East"); //Definindo timezone padrão

      $ext = strtolower(substr($_FILES['foto2']['name'],-4)); //Pegando extensão do arquivo
      $new_name2 = "foto2"."$codigo"."$ext"; //Definindo um novo nome para o arquivo
      $dir = 'imagens/'; //Diretório para uploads

      move_uploaded_file($_FILES['foto2']['tmp_name'], $dir.$new_name2); //Fazer upload do arquivo
   }


if(isset($_FILES['foto3']))
   {
      date_default_timezone_set("Brazil/East"); //Definindo timezone padrão

      $ext = strtolower(substr($_FILES['foto3']['name'],-4)); //Pegando extensão do arquivo
      $new_name3 = "foto3"."$codigo"."$ext"; //Definindo um novo nome para o arquivo
      $dir = 'imagens/'; //Diretório para uploads

      move_uploaded_file($_FILES['foto3']['tmp_name'], $dir.$new_name3); //Fazer upload do arquivo
   }


if(isset($_FILES['foto4']))
   {
      date_default_timezone_set("Brazil/East"); //Definindo timezone padrão

      $ext = strtolower(substr($_FILES['foto4']['name'],-4)); //Pegando extensão do arquivo
      $new_name4 = "foto4"."$codigo"."$ext"; //Definindo um novo nome para o arquivo
      $dir = 'imagens/'; //Diretório para uploads

      move_uploaded_file($_FILES['foto4']['tmp_name'], $dir.$new_name4); //Fazer upload do arquivo
   }


if(isset($_FILES['foto5']))
   {
      date_default_timezone_set("Brazil/East"); //Definindo timezone padrão

      $ext = strtolower(substr($_FILES['foto5']['name'],-4)); //Pegando extensão do arquivo
      $new_name5 = "foto5"."$codigo"."$ext"; //Definindo um novo nome para o arquivo
      $dir = 'imagens/'; //Diretório para uploads

      move_uploaded_file($_FILES['foto5']['tmp_name'], $dir.$new_name5); //Fazer upload do arquivo
   }


$sql = "INSERT INTO produtos (codigo, nomeproduto, categoriaprod, especprod, foto1, foto2, foto3, foto4, foto5, destaques, preco1, preco2)
VALUES ('$codigo', '$nomeproduto', '$categoriaprod', '$especprod', '$new_name1', '$new_name2', '$new_name3', '$new_name4', '$new_name5', '$destaques', '$preco1', '$preco2')"; 

if ($conn->query($sql) === TRUE) {
} else {
    echo "Error: " . $sql . "<br>" . $conn->error;
}
 


$conn->close();
?>